VST 3 SDK VST 3.7 SDK for developing VST plug-in

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Properties Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
CPluginView Class Reference
Common SDK Implementation Helper Classes

Plug-In view default implementation. More...

`#include <pluginview.h>`

Inheritance diagram for CPluginView:

## Public Member Functions
| CPluginView (const ViewRect *rect=nullptr)
| ~CPluginView () SMTG_OVERRIDE
const ViewRect & | getRect () const
| Returns its current frame rectangle.
void | setRect (const ViewRect &r)
| Sets a new frame rectangle.
bool | isAttached () const
| Checks if this view is attached to its parent view.
virtual void | attachedToParent ()
| Calls when this view will be attached to its parent view.
virtual void | removedFromParent ()
| Calls when this view will be removed from its parent view.
tresult | isPlatformTypeSupported (FIDString type) SMTG_OVERRIDE
tresult | attached (void *parent, FIDString type) SMTG_OVERRIDE
tresult | removed () SMTG_OVERRIDE
tresult | onWheel (float) SMTG_OVERRIDE
tresult | onKeyDown (char16, int16, int16) SMTG_OVERRIDE
tresult | onKeyUp (char16, int16, int16) SMTG_OVERRIDE
tresult | getSize (ViewRect *size) SMTG_OVERRIDE
tresult | onSize (ViewRect *newSize) SMTG_OVERRIDE
tresult | onFocus (TBool) SMTG_OVERRIDE
tresult | setFrame (IPlugFrame *frame) SMTG_OVERRIDE
tresult | canResize () SMTG_OVERRIDE
tresult | checkSizeConstraint (ViewRect *) SMTG_OVERRIDE

## Public Attributes
OBJ_METHODS(CPluginView, FObject) DEFINE_INTERFACES DEF_INTERFACE(IPlugView) END_DEFINE_INTERFACES(FObject) REFCOUNT_METHODS(FObject) protected void * | systemWindow {nullptr}
IPtr< IPlugFrame > | plugFrame

## Additional Inherited Members
Static Public Attributes inherited from IPlugView
static const FUID | iid

## Detailed Description

Plug-In view default implementation.

Can be used as base class for an IPlugView implementation.

## Constructor & Destructor Documentation

CPluginView | ( | const ViewRect * | rect = `nullptr` | ) |

~CPluginView | ( |  | ) |

## Member Function Documentation

const ViewRect& getRect | ( |  | ) | const
| inline

Returns its current frame rectangle.

void setRect | ( | const ViewRect & | r | ) |
| inline

Sets a new frame rectangle.

bool isAttached | ( |  | ) | const
| inline

Checks if this view is attached to its parent view.

virtual void attachedToParent | ( |  | ) |
| inline virtual

Calls when this view will be attached to its parent view.

Reimplemented in EditorView.

virtual void removedFromParent | ( |  | ) |
| inline virtual

Calls when this view will be removed from its parent view.

Reimplemented in EditorView.

tresult isPlatformTypeSupported | ( | FIDString | type | ) |
| virtual

Implements IPlugView.

tresult attached | ( | void * | parent,
|  | FIDString | type
| ) |  |
| virtual

Implements IPlugView.

tresult removed | ( |  | ) |
| virtual

Implements IPlugView.

tresult onWheel | ( | float |  | ) |
| inline virtual

Implements IPlugView.

tresult onKeyDown | ( | char16 | ,
|  | int16 | ,
|  | int16 |
| ) |  |
| inline virtual

Implements IPlugView.

tresult onKeyUp | ( | char16 | ,
|  | int16 | ,
|  | int16 |
| ) |  |
| inline virtual

Implements IPlugView.

tresult getSize | ( | ViewRect * | size | ) |
| virtual

Implements IPlugView.

tresult onSize | ( | ViewRect * | newSize | ) |
| virtual

Implements IPlugView.

tresult onFocus | ( | TBool |  | ) |
| inline virtual

Implements IPlugView.

tresult setFrame | ( | IPlugFrame * | frame | ) |
| inline virtual

Implements IPlugView.

tresult canResize | ( |  | ) |
| inline virtual

Implements IPlugView.

tresult checkSizeConstraint | ( | ViewRect * |  | ) |
| inline virtual

Implements IPlugView.

## Member Data Documentation

OBJ_METHODS (CPluginView, FObject) DEFINE_INTERFACES DEF_INTERFACE (IPlugView) END_DEFINE_INTERFACES (FObject) REFCOUNT_METHODS (FObject) protected void* systemWindow {nullptr}

IPtr<IPlugFrame> plugFrame

Empty

Copyright ©2024 Steinberg Media Technologies GmbH. All Rights Reserved. This documentation is under this license.